## ros-actionlib 1.11.12

=== test/CMakeLists.txt ===
if(GTEST_FOUND)
  include_directories(${GTEST_INCLUDE_DIRS})
  link_directories(${GTEST_LIBRARY_DIRS})

  add_executable(actionlib-add_two_ints_server EXCLUDE_FROM_ALL add_two_ints_server.cpp)
  target_link_libraries(actionlib-add_two_ints_server ${PROJECT_NAME} ${GTEST_LIBRARIES})

  add_executable(actionlib-ref_server EXCLUDE_FROM_ALL ref_server.cpp)
  target_link_libraries(actionlib-ref_server ${PROJECT_NAME})

  add_executable(actionlib-simple_client_test EXCLUDE_FROM_ALL simple_client_test.cpp)
  target_link_libraries(actionlib-simple_client_test ${PROJECT_NAME} ${GTEST_LIBRARIES})

  add_executable(actionlib-simple_execute_ref_server EXCLUDE_FROM_ALL simple_execute_ref_server.cpp)
  target_link_libraries(actionlib-simple_execute_ref_server ${PROJECT_NAME})

  add_executable(actionlib-server_goal_handle_destruction EXCLUDE_FROM_ALL server_goal_handle_destruction.cpp)
  target_link_libraries(actionlib-server_goal_handle_destruction ${PROJECT_NAME} ${GTEST_LIBRARIES})

  add_executable(actionlib-simple_client_wait_test EXCLUDE_FROM_ALL simple_client_wait_test.cpp)
  target_link_libraries(actionlib-simple_client_wait_test ${PROJECT_NAME} ${GTEST_LIBRARIES})

  add_executable(actionlib-simple_client_allocator_test EXCLUDE_FROM_ALL simple_client_allocator_test.cpp)
  target_link_libraries(actionlib-simple_client_allocator_test ${PROJECT_NAME} ${GTEST_LIBRARIES})

  add_executable(actionlib-action_client_destruction_test EXCLUDE_FROM_ALL action_client_destruction_test.cpp)
  target_link_libraries(actionlib-action_client_destruction_test ${PROJECT_NAME} ${GTEST_LIBRARIES})

  add_executable(actionlib-test_cpp_simple_client_cancel_crash EXCLUDE_FROM_ALL test_cpp_simple_client_cancel_crash.cpp)
  target_link_libraries(actionlib-test_cpp_simple_client_cancel_crash ${PROJECT_NAME} ${GTEST_LIBRARIES})

  add_executable(actionlib-exercise_simple_client EXCLUDE_FROM_ALL exercise_simple_client.cpp)
  target_link_libraries(actionlib-exercise_simple_client ${PROJECT_NAME} ${GTEST_LIBRARIES})

  if(TARGET tests)
    add_dependencies(tests
      actionlib-add_two_ints_server
      actionlib-ref_server
      actionlib-simple_client_test
      actionlib-simple_execute_ref_server
      actionlib-server_goal_handle_destruction
      actionlib-simple_client_wait_test
      actionlib-simple_client_allocator_test
      actionlib-action_client_destruction_test
      actionlib-test_cpp_simple_client_cancel_crash
      actionlib-exercise_simple_client
    )
  endif()
endif()

add_rostest(ref_server_test.launch)
add_rostest(simple_execute_ref_server_test.launch)
add_rostest(test_python_simple_client.launch)
add_rostest(test_cpp_simple_client_allocator.launch)
add_rostest(test_cpp_action_client_destruction.launch)
add_rostest(test_server_goal_handle_destruction.launch)
add_rostest(test_cpp_simple_client_cancel_crash.launch)
add_rostest(test_imports.launch)
add_rostest(test_python_server_components.launch)
add_rostest(test_python_server.launch)
add_rostest(test_python_server2.launch)
add_rostest(test_python_server3.launch)
add_rostest(test_python_simple_server.launch)
add_rostest(test_exercise_simple_clients.launch)
add_rostest(test_simple_action_server_deadlock_python.launch)

catkin_add_gtest(actionlib-destruction_guard_test destruction_guard_test.cpp)
if(TARGET actionlib-destruction_guard_test)
  target_link_libraries(actionlib-destruction_guard_test ${PROJECT_NAME})
endif()

## ros-actionlib 1.11.4

=== debian/changelog ===
ros-actionlib (1.11.4-2) unstable; urgency=medium

  [ Wookey ]
  * Date correction in copyright file

  [ Jochen Sprickerhof ]
  * Add dependencies

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 15:02:50 +0100

ros-actionlib (1.11.4-1) unstable; urgency=medium

  * Initial release (Closes: #804824)

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 22 Dec 2015 23:59:08 +0000

=== debian/control ===
Source: ros-actionlib
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2),
		libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
		libactionlib-msgs-dev, python-rospy, python-rostest,
		python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3),
		libboost-dev, libboost-thread-dev, libboost-signals-dev,
		libboost-filesystem-dev, libboost-regex-dev,
		libroscpp-dev,
		librosconsole-dev,
		libros-rosgraph-msgs-dev,
		libxmlrpcpp-dev,
		python-rosunit,
		libroscpp-msgs-dev,
		dh-python,
		libconsole-bridge-dev
Standards-Version: 3.9.6
Section: libs
Homepage: http://www.ros.org/wiki/actionlib
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-actionlib.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-actionlib.git

Package: libactionlib0d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Robot OS actionlib library
 This package is part of Robot OS (ROS). The actionlib stack provides
 a standardized interface for interfacing with preemptable
 tasks. Examples of this include moving the base to a target location,
 performing a laser scan and returning the resulting point cloud,
 detecting the handle of a door, etc. 
 .
 This package contains the library itself.

Package: libactionlib-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libactionlib0d ( = ${binary:Version}),
	${python:Depends}, python, libboost-thread-dev, libactionlib-msgs-dev, ros-message-generation, python-rosunit, libstd-msgs-dev
Description: Robot OS actionlib library - development files
 This package is part of Robot OS (ROS). The actionlib stack provides
 a standardized interface for interfacing with preemptable
 tasks. Examples of this include moving the base to a target location,
 performing a laser scan and returning the resulting point cloud,
 detecting the handle of a door, etc. 
 .
 This package contains the development files.

Package: python-actionlib
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
Description: Robot OS actionlib library - Python interface
 This package is part of Robot OS (ROS). The actionlib stack provides
 a standardized interface for interfacing with preemptable
 tasks. Examples of this include moving the base to a target location,
 performing a laser scan and returning the resulting point cloud,
 detecting the handle of a door, etc. 
 .
 This package contains the Python binding.

Package: cl-actionlib
Section: lisp
Architecture: all
Depends: ${misc:Depends}
Description: Robot OS actionlib library - LISP interface
 This package is part of Robot OS (ROS). The actionlib stack provides
 a standardized interface for interfacing with preemptable
 tasks. Examples of this include moving the base to a target location,
 performing a laser scan and returning the resulting point cloud,
 detecting the handle of a door, etc. 
 .
 This package contains the LISP binding.

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel --buildsystem=cmake --with python2

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCATKIN_ENABLE_TESTING=OFF

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/actionlib-$1\.tar\.gz/ \
  https://github.com/ros/actionlib/releases .*/v?(\d\S*)\.tar\.gz

## ros-actionlib 1.11.6

=== debian/changelog ===
ros-actionlib (1.11.6-3) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Enable unit tests
  * Fix Vcs URLs
  * Update my email address

  [ Daniele E. Domenichelli ]
  * Add missing build dependencies (Closes: #835696)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Aug 2016 22:52:41 +0200

ros-actionlib (1.11.6-2) unstable; urgency=medium

  * Rebuild for changes in ros-genlisp.

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 13 Jul 2016 22:13:05 +0200

ros-actionlib (1.11.6-1) unstable; urgency=medium

  * Imported Upstream version 1.11.6

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jul 2016 09:57:18 +0200

ros-actionlib (1.11.4-3) unstable; urgency=medium

  * Adopt to new libexec location in catkin

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 22 Feb 2016 08:37:35 +0100

## ros-actionlib 1.11.7

=== debian/changelog ===
ros-actionlib (1.11.7-1+deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * CVE-2020-10289: Use of unsafe yaml load.

 -- Adrian Bunk <bunk@debian.org>  Sun, 30 Aug 2020 18:19:23 +0300

ros-actionlib (1.11.7-1) unstable; urgency=medium

  * New upstream version 1.11.7

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 04 Nov 2016 12:16:19 +0100

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,37 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2),
-		libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
-		libactionlib-msgs-dev, python-rospy, python-rostest,
+Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4),
+		libroscpp-core-dev, ros-message-generation,
+		libstd-msgs-dev, ros-std-msgs,
+		libactionlib-msgs-dev, ros-actionlib-msgs,
+		python-rospy, python-rostest,
 		python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3),
 		libboost-dev, libboost-thread-dev, libboost-signals-dev,
 		libboost-filesystem-dev, libboost-regex-dev,
 		libroscpp-dev,
 		librosconsole-dev,
-		libros-rosgraph-msgs-dev,
+		libros-rosgraph-msgs-dev, ros-rosgraph-msgs,
 		libxmlrpcpp-dev,
 		python-rosunit,
-		libroscpp-msgs-dev,
+		libroscpp-msgs-dev, ros-roscpp-msgs,
 		dh-python,
-		libconsole-bridge-dev
-Standards-Version: 3.9.6
+		libconsole-bridge-dev,
+		librostest-dev,
+		python-rospkg,
+		python-rostest,
+		libroslib-dev,
+		python-roslaunch,
+		python-actionlib-msgs,
+		python-rosnode,
+		python-rostopic
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://www.ros.org/wiki/actionlib
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-actionlib.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-actionlib.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-actionlib.git
+Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-actionlib.git
 
 Package: libactionlib0d
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# Needed for unit tests
export PYTHONPATH=$(CURDIR)/build/devel/lib/python2.7/dist-packages
export ROS_HOME=$(CURDIR)/build/ros

%:
	dh $@ --parallel --buildsystem=cmake --with python2 --builddirectory=build

override_dh_auto_test:
	make -C build run_tests

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

## ros-actionlib 1.11.12

=== debian/changelog ===
ros-actionlib (1.11.12-1) unstable; urgency=medium

  * New upstream version 1.11.12
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 23 Dec 2017 16:05:52 +0100

ros-actionlib (1.11.11-1) unstable; urgency=medium

  * New upstream version 1.11.11
  * Bump standards version

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 30 Oct 2017 07:34:43 +0100

ros-actionlib (1.11.10-1) unstable; urgency=medium

  * add Multi-Arch according to hinter
  * Update policy and debhelper versions
  * Update watch file
  * Remove parallel (Default for debhelper 10)
  * New upstream version 1.11.10

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 24 Sep 2017 07:47:12 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4),
+Build-Depends: debhelper (>= 10), catkin,
 		libroscpp-core-dev, ros-message-generation,
 		libstd-msgs-dev, ros-std-msgs,
 		libactionlib-msgs-dev, ros-actionlib-msgs,
@@ -28,7 +28,7 @@
 		python-actionlib-msgs,
 		python-rosnode,
 		python-rostopic
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Section: libs
 Homepage: http://www.ros.org/wiki/actionlib
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-actionlib.git
@@ -77,6 +77,7 @@
 Package: cl-actionlib
 Section: lisp
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Robot OS actionlib library - LISP interface
  This package is part of Robot OS (ROS). The actionlib stack provides

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export ROS_HOME=$(CURDIR)/build/ros
 
 %:
-	dh $@ --parallel --buildsystem=cmake --with python2 --builddirectory=build
+	dh $@ --buildsystem=cmake --with python2 --builddirectory=build
 
 override_dh_auto_test:
 	make -C build run_tests

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-actionlib-$1.tar.gz%" \
    https://github.com/ros/actionlib/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-actionlib 1.11.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(actionlib)

find_package(catkin REQUIRED COMPONENTS actionlib_msgs message_generation roscpp rosunit std_msgs)
find_package(Boost REQUIRED COMPONENTS thread)

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

catkin_python_setup()

add_action_files(DIRECTORY action FILES Test.action TestRequest.action TwoInts.action)
generate_messages(DEPENDENCIES actionlib_msgs std_msgs)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES actionlib
  CATKIN_DEPENDS actionlib_msgs message_runtime roscpp std_msgs
  DEPENDS Boost
)

add_library(actionlib src/connection_monitor.cpp src/goal_id_generator.cpp)
target_link_libraries(actionlib ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(actionlib actionlib_gencpp)

catkin_install_python(PROGRAMS tools/axclient.py tools/axserver.py tools/dynamic_action.py tools/library.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

if(CATKIN_ENABLE_TESTING)
  find_package(rostest)
  add_subdirectory(test)
endif()

=== debian/changelog ===
ros-actionlib (1.11.15-1+deb10u1) buster; urgency=high

  * Add https://github.com/ros/actionlib/pull/171 (Fix CVE-2020-10289)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 22 Aug 2020 10:53:23 +0200

ros-actionlib (1.11.15-1) unstable; urgency=medium

  * New upstream version 1.11.15
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 23 Aug 2018 18:54:56 +0200

ros-actionlib (1.11.14-3) unstable; urgency=medium

  * Fix roscpp-msg* dependency
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 31 Jul 2018 21:54:04 +0200

ros-actionlib (1.11.14-2) unstable; urgency=medium

  * Add Python 3 package
  * Fix override_dh_auto_test-does-not-check-DEB_BUILD_OPTIONS

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 02 Jul 2018 22:26:11 +0200

ros-actionlib (1.11.14-1) unstable; urgency=medium

  * New upstream version 1.11.14

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 16 Jun 2018 17:07:53 +0200

ros-actionlib (1.11.13-1) unstable; urgency=medium

  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * New upstream version 1.11.13
  * Update policy and debhelper versions
  * Add missing dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 18 Apr 2018 15:53:18 +0200

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# Needed for unit tests
export PYTHONPATH=$(CURDIR)/build/devel/lib/python2.7/dist-packages
export ROS_HOME=$(CURDIR)/build/ros

%:
	dh $@ --buildsystem=cmake --with python2,python3 --builddirectory=build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make -C build run_tests
endif

## ros-actionlib 1.12.0

=== debian/changelog ===
ros-actionlib (1.12.0-4ubuntu1) focal; urgency=medium

  * Drop unused libboost-signals-dev build-depends, which is dropped in
    boost1.71.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 09 Feb 2020 08:20:00 +0000

ros-actionlib (1.12.0-4build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:31:30 +0000

ros-actionlib (1.12.0-4) unstable; urgency=medium

  * Disable tests results for now (too many errors)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 09 Nov 2019 21:22:16 +0100

ros-actionlib (1.12.0-3) unstable; urgency=medium

  * Update Python 3 port

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 09 Nov 2019 18:39:07 +0100

ros-actionlib (1.12.0-2) unstable; urgency=medium

  * Drop wrong build dependency
  * Drop Python 2 package (Closes: #938366)
  * Bump policy version (no changes)
  * simplify d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 07:08:13 +0200

ros-actionlib (1.12.0-1) unstable; urgency=medium

  * New upstream version 1.12.0
  * Add d/clean
  * cleanup rules
  * switch to debhelper-compat and debhelper 12
  * Bump policy version (no changes)
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 23 Aug 2019 10:46:53 +0200

=== debian/control ===
Source: ros-actionlib
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 12), catkin,
		libroscpp-core-dev, ros-message-generation,
		libstd-msgs-dev, ros-std-msgs,
		libactionlib-msgs-dev, ros-actionlib-msgs,
		python3-rospy, python3-rostest,
		python3-all, python3-setuptools,
		libboost-dev, libboost-thread-dev,
		libboost-filesystem-dev, libboost-regex-dev,
		libroscpp-dev,
		librosconsole-dev,
		libros-rosgraph-msgs-dev, ros-rosgraph-msgs,
		libxmlrpcpp-dev,
		python3-rosunit,
		libroscpp-msg-dev, ros-roscpp-msg,
		dh-python,
		libconsole-bridge-dev,
		librostest-dev,
		libroslib-dev,
		python3-roslaunch,
		python3-actionlib-msgs,
		python3-rosnode,
		python3-rostopic
Standards-Version: 4.4.1
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/actionlib
Vcs-Browser: https://salsa.debian.org/science-team/ros-actionlib
Vcs-Git: https://salsa.debian.org/science-team/ros-actionlib.git

Package: libactionlib0d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Robot OS actionlib library
 This package is part of Robot OS (ROS). The actionlib stack provides
 a standardized interface for interfacing with preemptable
 tasks. Examples of this include moving the base to a target location,
 performing a laser scan and returning the resulting point cloud,
 detecting the handle of a door, etc.
 .
 This package contains the library itself.

Package: libactionlib-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libactionlib0d ( = ${binary:Version}),
	${python3:Depends}, python3, libboost-thread-dev, libactionlib-msgs-dev, ros-message-generation, python3-rosunit, libstd-msgs-dev
Description: Robot OS actionlib library - development files
 This package is part of Robot OS (ROS). The actionlib stack provides
 a standardized interface for interfacing with preemptable
 tasks. Examples of this include moving the base to a target location,
 performing a laser scan and returning the resulting point cloud,
 detecting the handle of a door, etc.
 .
 This package contains the development files.

Package: python3-actionlib
Section: python
Architecture: all
Depends: ${python3:Depends},${misc:Depends}, python3-genpy, python3-std-msgs, python3-rospy, python3-actionlib-msgs
Breaks: python-actionlib (<< 1.12.0-2)
Replaces: python-actionlib (<< 1.12.0-2)
Description: Robot OS actionlib library - Python 3 interface
 This package is part of Robot OS (ROS). The actionlib stack provides
 a standardized interface for interfacing with preemptable
 tasks. Examples of this include moving the base to a target location,
 performing a laser scan and returning the resulting point cloud,
 detecting the handle of a door, etc.
 .
 This package contains the Python 3 binding.

Package: cl-actionlib
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Robot OS actionlib library - LISP interface
 This package is part of Robot OS (ROS). The actionlib stack provides
 a standardized interface for interfacing with preemptable
 tasks. Examples of this include moving the base to a target location,
 performing a laser scan and returning the resulting point cloud,
 detecting the handle of a door, etc.
 .
 This package contains the LISP binding.

=== debian/rules ===
#!/usr/bin/make -f

export ROS_PYTHON_VERSION=3

# Needed for unit tests
export PYTHONPATH=$(CURDIR)/build/devel/lib/python*/dist-packages
export ROS_HOME=$(CURDIR)/build/ros

%:
	dh $@ --buildsystem=cmake --with python3 --builddirectory=build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make -C build run_tests
	#catkin_test_results
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-actionlib-$1.tar.gz%" \
    https://github.com/ros/actionlib/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ros-actionlib 1.13.1

=== actionlib_tools/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(actionlib_tools)

find_package(catkin REQUIRED)

catkin_package()

catkin_install_python(PROGRAMS
  # These scripts require Python 2 dependency wx
  # scripts/axclient.py
  # scripts/axserver.py
  scripts/dynamic_action.py
  scripts/library.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-actionlib (1.13.1-4) unstable; urgency=medium

  * Add https://github.com/ros/actionlib/pull/171 (Fix CVE-2020-10289)
    (Closes: #968830)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 22 Aug 2020 08:41:47 +0200

ros-actionlib (1.13.1-3) unstable; urgency=medium

  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Jun 2020 06:04:48 +0200

ros-actionlib (1.13.1-2) experimental; urgency=medium

  * Remove arch specific path
  * ignore test results

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 27 Jun 2020 09:22:59 +0200

ros-actionlib (1.13.1-1) experimental; urgency=medium

  * New upstream version 1.13.1
  * Remove Thomas from Uploaders, thanks for working on this
  * update copyright
  * rebase patches
  * bump debhelper version
  * Bump Soname due to ABI change

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 18 Jun 2020 20:50:08 +0200

ros-actionlib (1.12.0-5) unstable; urgency=medium

  * Drop unused build dependency (Closes: #962288)
  * bump policy version

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 05 Jun 2020 18:57:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: ros-actionlib
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <jspricke@debian.org>,
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 12), catkin,
+Build-Depends: debhelper-compat (= 13), catkin,
 		libroscpp-core-dev, ros-message-generation,
 		libstd-msgs-dev, ros-std-msgs,
 		libactionlib-msgs-dev, ros-actionlib-msgs,
@@ -19,7 +17,7 @@
 		libxmlrpcpp-dev,
 		python3-rosunit,
 		libroscpp-msg-dev, ros-roscpp-msg,
-		dh-python,
+		dh-sequence-python3,
 		libconsole-bridge-dev,
 		librostest-dev,
 		libroslib-dev,
@@ -27,14 +25,14 @@
 		python3-actionlib-msgs,
 		python3-rosnode,
 		python3-rostopic
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/actionlib
 Vcs-Browser: https://salsa.debian.org/science-team/ros-actionlib
 Vcs-Git: https://salsa.debian.org/science-team/ros-actionlib.git
 
-Package: libactionlib0d
+Package: libactionlib1d
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
@@ -50,7 +48,7 @@
 Package: libactionlib-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libactionlib0d ( = ${binary:Version}),
+Depends: ${misc:Depends}, libactionlib1d ( = ${binary:Version}),
 	${python3:Depends}, python3, libboost-thread-dev, libactionlib-msgs-dev, ros-message-generation, python3-rosunit, libstd-msgs-dev
 Description: Robot OS actionlib library - development files
  This package is part of Robot OS (ROS). The actionlib stack provides

=== debian/rules ===
#!/usr/bin/make -f

# Needed for unit tests
export PYTHONPATH=$(CURDIR)/build/devel/lib/python*/dist-packages
export ROS_HOME=$(CURDIR)/build/ros

%:
	dh $@ --buildsystem=cmake --builddirectory=build

override_dh_auto_test:
	make -C build run_tests
# disabled due to many broken tests
#	catkin_test_results

## ros-actionlib 1.13.2

=== actionlib/test/CMakeLists.txt ===
if(GTEST_FOUND)
  include_directories(${GTEST_INCLUDE_DIRS})
  link_directories(${GTEST_LIBRARY_DIRS})

  add_executable(actionlib-add_two_ints_server EXCLUDE_FROM_ALL add_two_ints_server.cpp)
  target_link_libraries(actionlib-add_two_ints_server ${PROJECT_NAME} ${GTEST_LIBRARIES})

  add_executable(actionlib-ref_server EXCLUDE_FROM_ALL ref_server.cpp)
  target_link_libraries(actionlib-ref_server ${PROJECT_NAME})

  add_executable(actionlib-simple_client_test EXCLUDE_FROM_ALL simple_client_test.cpp)
  target_link_libraries(actionlib-simple_client_test ${PROJECT_NAME} ${GTEST_LIBRARIES})

  add_executable(actionlib-simple_execute_ref_server EXCLUDE_FROM_ALL simple_execute_ref_server.cpp)
  target_link_libraries(actionlib-simple_execute_ref_server ${PROJECT_NAME})

  add_executable(actionlib-server_goal_handle_destruction EXCLUDE_FROM_ALL server_goal_handle_destruction.cpp)
  target_link_libraries(actionlib-server_goal_handle_destruction ${PROJECT_NAME} ${GTEST_LIBRARIES})

  add_executable(actionlib-simple_client_wait_test EXCLUDE_FROM_ALL simple_client_wait_test.cpp)
  target_link_libraries(actionlib-simple_client_wait_test ${PROJECT_NAME} ${GTEST_LIBRARIES})

  add_executable(actionlib-simple_client_allocator_test EXCLUDE_FROM_ALL simple_client_allocator_test.cpp)
  target_link_libraries(actionlib-simple_client_allocator_test ${PROJECT_NAME} ${GTEST_LIBRARIES})

  add_executable(actionlib-action_client_destruction_test EXCLUDE_FROM_ALL action_client_destruction_test.cpp)
  target_link_libraries(actionlib-action_client_destruction_test ${PROJECT_NAME} ${GTEST_LIBRARIES})

  add_executable(actionlib-test_cpp_simple_client_cancel_crash EXCLUDE_FROM_ALL test_cpp_simple_client_cancel_crash.cpp)
  target_link_libraries(actionlib-test_cpp_simple_client_cancel_crash ${PROJECT_NAME} ${GTEST_LIBRARIES})

  add_executable(actionlib-exercise_simple_client EXCLUDE_FROM_ALL exercise_simple_client.cpp)
  target_link_libraries(actionlib-exercise_simple_client ${PROJECT_NAME} ${GTEST_LIBRARIES})

  if(TARGET tests)
    add_dependencies(tests
      actionlib-add_two_ints_server
      actionlib-ref_server
      actionlib-simple_client_test
      actionlib-simple_execute_ref_server
      actionlib-server_goal_handle_destruction
      actionlib-simple_client_wait_test
      actionlib-simple_client_allocator_test
      actionlib-action_client_destruction_test
      actionlib-test_cpp_simple_client_cancel_crash
      actionlib-exercise_simple_client
    )
  endif()
endif()

add_rostest(ref_server_test.launch)
add_rostest(simple_execute_ref_server_test.launch)
add_rostest(test_python_simple_client.launch)
add_rostest(test_cpp_simple_client_allocator.launch)
add_rostest(test_cpp_action_client_destruction.launch)
add_rostest(test_server_goal_handle_destruction.launch)
add_rostest(test_cpp_simple_client_cancel_crash.launch)
add_rostest(test_imports.launch)
add_rostest(test_python_server_components.launch)
add_rostest(test_python_server.launch)
add_rostest(test_python_server2.launch)
add_rostest(test_python_server3.launch)
add_rostest(test_python_simple_server.launch)
add_rostest(test_cpp_exercise_simple_client.launch)
add_rostest(test_python_exercise_simple_client.launch)
add_rostest(test_simple_action_server_deadlock_python.launch)

catkin_add_gtest(actionlib-destruction_guard_test destruction_guard_test.cpp)
if(TARGET actionlib-destruction_guard_test)
  target_link_libraries(actionlib-destruction_guard_test ${PROJECT_NAME})
endif()

=== debian/changelog ===
ros-actionlib (1.13.2-6) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 13:50:27 +0100

ros-actionlib (1.13.2-5) unstable; urgency=medium

  * Add patch for Boost 1.74
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 14 Dec 2020 11:29:17 +0100

ros-actionlib (1.13.2-4) unstable; urgency=medium

  * Ignore tests results for now

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 13 Sep 2020 18:08:40 +0200

ros-actionlib (1.13.2-3) unstable; urgency=medium

  * Set ROS_IP for tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 13 Sep 2020 13:18:25 +0200

ros-actionlib (1.13.2-2) unstable; urgency=medium

  * Add patch for failing test

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 12 Sep 2020 23:12:55 +0200

ros-actionlib (1.13.2-1) unstable; urgency=medium

  * Add missing dependency
  * New upstream version 1.13.2
  * rebase patches
  * Enable tests
  * Update dependencies
  * Add new python3-actionlib-tools package

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 22 Aug 2020 20:34:26 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
 		python3-actionlib-msgs,
 		python3-rosnode,
 		python3-rostopic
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/actionlib
@@ -62,7 +62,7 @@
 Package: python3-actionlib
 Section: python
 Architecture: all
-Depends: ${python3:Depends},${misc:Depends}, python3-genpy, python3-std-msgs, python3-rospy, python3-actionlib-msgs
+Depends: ${python3:Depends},${misc:Depends}, python3-genpy, python3-std-msgs, python3-rospy, python3-actionlib-msgs, python3-move-base-msgs, python3-geometry-msgs, python3-actionlib-msgs,
 Breaks: python-actionlib (<< 1.12.0-2)
 Replaces: python-actionlib (<< 1.12.0-2)
 Description: Robot OS actionlib library - Python 3 interface
@@ -88,3 +88,15 @@
  .
  This package contains the LISP binding.
 
+Package: python3-actionlib-tools
+Section: python
+Architecture: all
+Depends: ${python3:Depends},${misc:Depends}, python3-roslib, python3-wxgtk4.0, python3-rospy, python3-actionlib, python3-rostopic, python3-actionlib-msgs, python3-yaml,
+Description: Robot OS actionlib_tools library - Python 3 interface
+ This package is part of Robot OS (ROS). The actionlib stack provides
+ a standardized interface for interfacing with preemptable
+ tasks. Examples of this include moving the base to a target location,
+ performing a laser scan and returning the resulting point cloud,
+ detecting the handle of a door, etc.
+ .
+ This package contains the Python 3 binding and tools.

=== debian/rules ===
#!/usr/bin/make -f

# Needed for unit tests
export PYTHONPATH=$(CURDIR)/build/devel/lib/python*/dist-packages
export ROS_HOME=$(CURDIR)/build/ros
export ROS_IP=127.0.0.1

%:
	dh $@ --buildsystem=cmake --builddirectory=build

override_dh_auto_test:
	make -C build run_tests
# ignore tests results due to broken tests
#	catkin_test_results

## ros-actionlib 1.14.0

=== actionlib/test/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,9 @@
   add_executable(actionlib-simple_client_allocator_test EXCLUDE_FROM_ALL simple_client_allocator_test.cpp)
   target_link_libraries(actionlib-simple_client_allocator_test ${PROJECT_NAME} ${GTEST_LIBRARIES})
 
+  add_executable(actionlib-simple_action_server_construction_test EXCLUDE_FROM_ALL simple_action_server_construction_test.cpp)
+  target_link_libraries(actionlib-simple_action_server_construction_test ${PROJECT_NAME} ${GTEST_LIBRARIES})
+
   add_executable(actionlib-action_client_destruction_test EXCLUDE_FROM_ALL action_client_destruction_test.cpp)
   target_link_libraries(actionlib-action_client_destruction_test ${PROJECT_NAME} ${GTEST_LIBRARIES})
 
@@ -41,6 +44,7 @@
       actionlib-server_goal_handle_destruction
       actionlib-simple_client_wait_test
       actionlib-simple_client_allocator_test
+      actionlib-simple_action_server_construction_test
       actionlib-action_client_destruction_test
       actionlib-test_cpp_simple_client_cancel_crash
       actionlib-exercise_simple_client

=== debian/changelog ===
ros-actionlib (1.14.0-6) unstable; urgency=medium

  * Add missing dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 21 May 2023 21:10:12 +0200

ros-actionlib (1.14.0-5) unstable; urgency=medium

  * Increase timeout for test on armel

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 05 Jan 2023 20:28:08 +0100

ros-actionlib (1.14.0-4) unstable; urgency=medium

  * Disable more flaky tests (Closes: #1027667)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 04 Jan 2023 07:40:28 +0100

ros-actionlib (1.14.0-3) unstable; urgency=medium

  * Ignore test results on more archs

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Dec 2022 07:24:53 +0100

ros-actionlib (1.14.0-2) unstable; urgency=medium

  * Fix test ignore on some archs

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 16 Dec 2022 22:02:24 +0100

ros-actionlib (1.14.0-1) unstable; urgency=medium

  * Drop old Breaks/Replaces
  * New upstream version 1.14.0
  * Update d/copyright
  * Rebase patches
  * Switch to dh_ros
  * Bump policy version (no changes)
  * Move package description to source package
  * Enable autopkgtest-pkg-python
  * Fix typos d/control

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 16 Dec 2022 07:32:04 +0100

ros-actionlib (1.13.2-10) unstable; urgency=medium

  * Fix/Ignore failing tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 27 Oct 2021 14:00:39 +0200

ros-actionlib (1.13.2-9) unstable; urgency=medium

  * Enable tests
  * Add MA hint from the MA hinter

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 27 Oct 2021 12:44:22 +0200

ros-actionlib (1.13.2-8) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:45:09 +0200

ros-actionlib (1.13.2-7) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Mon, 20 Sep 2021 00:04:21 +0200

=== debian/control ===
Source: ros-actionlib
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 13), catkin (>= 0.8.10-1~), dh-ros,
		libroscpp-core-dev, ros-message-generation,
		libstd-msgs-dev, ros-std-msgs,
		libactionlib-msgs-dev, ros-actionlib-msgs,
		python3-rospy, python3-rostest,
		python3-all, python3-setuptools,
		libboost-dev, libboost-thread-dev,
		libboost-filesystem-dev, libboost-regex-dev,
		libroscpp-dev,
		librosconsole-dev,
		libros-rosgraph-msgs-dev, ros-rosgraph-msgs,
		libxmlrpcpp-dev,
		python3-rosunit,
		libroscpp-msg-dev, ros-roscpp-msg,
		dh-sequence-python3,
		libconsole-bridge-dev,
		librostest-dev,
		libroslib-dev,
		python3-roslaunch,
		python3-actionlib-msgs,
		python3-rosnode,
		python3-rostopic,
		libgtest-dev,
Standards-Version: 4.6.2
Section: libs
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Homepage: https://wiki.ros.org/actionlib
Vcs-Browser: https://salsa.debian.org/science-team/ros-actionlib
Vcs-Git: https://salsa.debian.org/science-team/ros-actionlib.git
Description: Robot OS actionlib library
 This package is part of Robot OS (ROS). The actionlib stack provides
 a standardized interface for interfacing with preemptable
 tasks. Examples of this include moving the base to a target location,
 performing a laser scan and returning the resulting point cloud,
 detecting the handle of a door, etc.

Package: libactionlib1d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the library itself.

Package: libactionlib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libactionlib1d ( = ${binary:Version}),
	${python3:Depends}, python3, libboost-thread-dev, libactionlib-msgs-dev, ros-message-generation, python3-rosunit, libstd-msgs-dev, libroscpp-dev,
Description: ${source:Synopsis} - development files
 ${source:Extended-Description}
 .
 This package contains the development files.

Package: python3-actionlib
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs, python3-rospy, python3-actionlib-msgs, python3-move-base-msgs, python3-geometry-msgs,
Description: ${source:Synopsis} - Python 3 interface
 ${source:Extended-Description}
 .
 This package contains the Python 3 binding.

Package: cl-actionlib
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: ${source:Synopsis} - LISP interface
 ${source:Extended-Description}
 .
 This package contains the LISP binding.

Package: python3-actionlib-tools
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-roslib, python3-wxgtk4.0, python3-rospy, python3-actionlib, python3-rostopic, python3-actionlib-msgs, python3-yaml,
Description: ${source:Synopsis} - Python 3 interface
 ${source:Extended-Description}
 .
 This package contains the Python 3 binding and tools.

=== debian/rules ===
#!/usr/bin/make -f

export ROS_CONFIGURE_ARGS = -DACTIONLIB_SOVERSION=1d
export ROS_IGNORE_TEST_RESULTS=$(if $(filter $(DEB_BUILD_ARCH),i386 mips64el s390x hppa hurd-i386 powerpc ppc64 sparc64),1,0)

# Needed for unit tests
export ROS_HOME=/tmp/ros
export ROS_IP=127.0.0.1

%:
	dh $@ --buildsystem=ros

## ros-actionlib 1.14.3

=== actionlib/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(actionlib)

find_package(catkin REQUIRED COMPONENTS actionlib_msgs message_generation roscpp std_msgs)
find_package(Boost REQUIRED COMPONENTS thread)

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

catkin_python_setup()

add_action_files(DIRECTORY action FILES Test.action TestRequest.action TwoInts.action)
generate_messages(DEPENDENCIES actionlib_msgs std_msgs)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES actionlib
  CATKIN_DEPENDS actionlib_msgs message_runtime roscpp std_msgs
  DEPENDS Boost
)

add_library(actionlib src/connection_monitor.cpp src/goal_id_generator.cpp)
target_link_libraries(actionlib ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(actionlib actionlib_gencpp)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

if(CATKIN_ENABLE_TESTING)
  find_package(rostest)
  add_subdirectory(test)
endif()

=== actionlib_tools/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(actionlib_tools)

find_package(catkin REQUIRED)

catkin_python_setup()

catkin_package()

catkin_install_python(PROGRAMS
  scripts/axclient.py
  scripts/axserver.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-actionlib (1.14.3-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 1.14.3
  * Update patches
    - Merged: 0005-Drop-shebang-in-Python-modules.patch
    - Merged: 0005-Switch-to-new-boost-bind-bind.hpp.patch
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2
  * Fix SyntaxWarnings from docstrings (Closes: #1087061)

 -- Timo Röhling <roehling@debian.org>  Wed, 17 Sep 2025 13:12:58 +0200

ros-actionlib (1.14.0-8) unstable; urgency=medium

  * Wrap and sort Debian package files
  * No need to set ROS_HOME and ROS_IP in d/rules any more
  * Bump Standards-Version to 4.7.0
  * Add myself to uploaders
  * Enable all hardening options

 -- Timo Röhling <roehling@debian.org>  Mon, 30 Sep 2024 22:56:20 +0200

ros-actionlib (1.14.0-7) unstable; urgency=medium

  * Ignore failing test on riscv64

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 13 Jan 2024 10:08:27 +0100

=== debian/control ===
Source: ros-actionlib
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-ros,
 dh-sequence-python3,
 catkin (>= 0.8.10-1~),
 libactionlib-msgs-dev,
 libboost-dev,
 libboost-filesystem-dev,
 libboost-regex-dev,
 libboost-thread-dev,
 libconsole-bridge-dev,
 libgtest-dev,
 libros-rosgraph-msgs-dev,
 librosconsole-dev,
 libroscpp-core-dev,
 libroscpp-dev,
 libroscpp-msg-dev,
 libroslib-dev,
 librostest-dev,
 libstd-msgs-dev,
 libxmlrpcpp-dev,
 python3-actionlib-msgs,
 python3-all,
 python3-roslaunch,
 python3-rosnode,
 python3-rospy,
 python3-rostest,
 python3-rostopic,
 python3-rosunit,
 python3-setuptools,
 ros-actionlib-msgs,
 ros-message-generation,
 ros-roscpp-msg,
 ros-rosgraph-msgs,
 ros-std-msgs,
Standards-Version: 4.7.2
Section: libs
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Homepage: https://wiki.ros.org/actionlib
Vcs-Browser: https://salsa.debian.org/science-team/ros-actionlib
Vcs-Git: https://salsa.debian.org/science-team/ros-actionlib.git
Description: Robot OS actionlib library
 This package is part of Robot OS (ROS). The actionlib stack provides
 a standardized interface for interfacing with preemptable
 tasks. Examples of this include moving the base to a target location,
 performing a laser scan and returning the resulting point cloud,
 detecting the handle of a door, etc.

Package: libactionlib1d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the library itself.

Package: cl-actionlib
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: ${source:Synopsis} - LISP interface
 ${source:Extended-Description}
 .
 This package contains the LISP binding.

Package: libactionlib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libactionlib-msgs-dev,
 libactionlib1d ( = ${binary:Version}),
 libboost-thread-dev,
 libroscpp-dev,
 libstd-msgs-dev,
 python3,
 python3-rosunit,
 ros-message-generation,
 ${misc:Depends},
 ${python3:Depends},
Description: ${source:Synopsis} - development files
 ${source:Extended-Description}
 .
 This package contains the development files.

Package: python3-actionlib
Section: python
Architecture: all
Depends:
 python3-actionlib-msgs,
 python3-genpy,
 python3-geometry-msgs,
 python3-move-base-msgs,
 python3-rospy,
 python3-std-msgs,
 ${misc:Depends},
 ${python3:Depends},
Description: ${source:Synopsis} - Python 3 interface
 ${source:Extended-Description}
 .
 This package contains the Python 3 binding.

Package: python3-actionlib-tools
Section: python
Architecture: all
Depends:
 python3-actionlib,
 python3-actionlib-msgs,
 python3-roslib,
 python3-rospy,
 python3-rostopic,
 python3-wxgtk4.0,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: ${source:Synopsis} - Python 3 interface
 ${source:Extended-Description}
 .
 This package contains the Python 3 binding and tools.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export ROS_CONFIGURE_ARGS = -DACTIONLIB_SOVERSION=1d
export ROS_IGNORE_TEST_RESULTS=$(if $(filter $(DEB_BUILD_ARCH),i386 mips64el riscv64 s390x hppa hurd-i386 powerpc ppc64 sparc64),1,0)

%:
	dh $@ --buildsystem=ros

=== debian/watch ===
Version: 5

Template: Github
Owner: ros
Project: actionlib
